Retrieve telemetry collection status and configuration details for your Ops Manager installation.
Important
Starting in Ops Manager 9.0.2 and 8.0.28, this endpoint returns product usage telemetry, which uses a different response structure. For the newer response, see Product Usage Telemetry Response.
Required Roles
This endpoint requires an API key that has the Global Owner role.
Endpoint
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/private/v1.0/telemetry
GET /collection/detailsRequest
Path Parameters
This endpoint doesn't use HTTP request path parameters.
Query Parameters
This endpoint doesn't use HTTP request query parameters.
Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Response Document
The response JSON document includes the following fields:
Name | Type | Description |
|---|---|---|
enabled | boolean | Indicates that the system collects and sends product usage telemetry. |
last_successful_send | datetime | Date and time of the last successful telemetry send. |
next_job | datetime | Date and time when the next telemetry send is scheduled. |
data | object | Object that contains the fields defined in the Product Usage Telemetry Response. |
Product Usage Telemetry Response
Starting in Ops Manager 9.0.2 and 8.0.28, this endpoint returns product usage telemetry. The response JSON document includes the following fields:
Name | Type | Description |
|---|---|---|
enabled | boolean | Whether product usage telemetry is on. Always |
last_successful_send | string (ISO 8601, UTC) or null | When Ops Manager last delivered product usage telemetry. |
next_job | string (ISO 8601, UTC) or null | When the next weekly send is due. |
data | object | The product usage report that Ops Manager collects when you make the request. Contains |
Installation-Level Fields
The nested data object includes the following fields about the Ops Manager installation:
Field | Type | Description | Example |
|---|---|---|---|
| string | Static identifier for your Ops Manager installation | 3f8a2c6e-9b1d-4e7a-a5c3-8d2f1b6e4a90 |
| string | Which version of Ops Manager the installation runs | 9.0.2 |
| array of objects | For each Ops Manager host: provisioned memory in bytes, CPU cores, and operating system | 68719476736, 16, Linux 5.14.0-427.el9.x86_64 amd64 |
| string | How users authenticate to Ops Manager | LDAP |
| integer | The number of nodes in the Ops Manager AppDB | 3 |
| integer | The number of configured Backup Daemons | 1 |
| string | The type of infrastructure that hosts Ops Manager | VM |
| integer | Number of organizations in the installation | 1 |
| integer | Number of projects in the installation | 2 |
| integer | When Ops Manager generated the daily snapshot, in milliseconds since the Unix epoch | 1794442020000 |
| integer | When Ops Manager sent the snapshot, in milliseconds since the Unix epoch. In the download and the API, it equals the snapshot time | 1794442020000 |
| integer | When Ops Manager detected a restore of its AppDB, in milliseconds since the Unix epoch | 1794441600000 |
Deployment-Level Fields
Each element in the deployments array includes the following fields:
Field | Type | Description | Example |
|---|---|---|---|
| string | The 24-character cluster ID that Ops Manager assigns when the deployment is first created. For a standalone deployment, the ID is a 32-character hash of the host identifier | 664f1c2b8e3a4d0012ab34ef |
| string | One of: RS (replica set), SC (sharded cluster), standalone, or search ( | RS |
| string | The 24-character ID of the organization the deployment belongs to | 664f1c1a8e3a4d0012ab3401 |
| string | The 24-character ID of the project the deployment belongs to | 664f1c2b8e3a4d0012ab34cd |
| boolean | Whether the deployment uses TLS | true |
| string | How Ops Manager authenticates to the deployment. One of: MONGODB-CR (username and password, including SCRAM), GSSAPI (Kerberos), PLAIN (LDAP), MONGODB-X509, or MONGODB-OIDC | MONGODB-CR |
| integer or null | If you purchased 30-minute initial response time support, when it was enabled for the deployment, in milliseconds since the Unix epoch. Empty otherwise | 1790847000000 |
Node-Level Fields
Each element in the nodes array includes the following fields:
Field | Type | Description | Example |
|---|---|---|---|
| string | A hash of the project ID and the node's hostname and port. The hostname itself isn't sent | db5a69d233913ff685a5087b0b760671 |
| string | One of: MONGOD (database node), MONGOS (sharded cluster router), or MONGOT (search node) | MONGOD |
| string | The MongoDB version the node runs | 8.0.12 |
| integer | The node's provisioned CPU cores | 8 |
| integer | The node's provisioned memory, in bytes | 34359738368 |
| integer or null | The node's provisioned storage, in bytes | 214748364800 |
| boolean or null | Whether the node's binary includes the enterprise module. Empty for MONGOT | true |
| string or null | The name of the node's replica set, as you named it | rs0 |
| string or null | One of: PRIMARY, SECONDARY, or ARBITER | PRIMARY |
| string or null | The name of the node's shard, as you named it. Sharded clusters only | shard01 |
Backup Fields (If Configured)
If the deployment has backup configured, the backupConfig object includes the following fields:
Field | Type | Description | Example |
|---|---|---|---|
| string | State of the deployment's backup configuration. One of:
| STARTED |
| integer | How often snapshots are taken, in minutes | 360 |
| string | One of: BS (blockstore), FS (file system), S3 (AWS S3 bucket), 3PSS (third-party), or MRTS (multi-region temp) | BS |
Example Request
curl --user "{publicApiKey}:{privateApiKey}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request GET "https://<OpsManagerHost>:<Port>/api/private/v1.0/telemetry/collection/details"Example Response (9.0.2 and 8.0.28 and later)
{ "data": { "data": { "appDbNodes": 3, "backupDaemons": 1, "deployments": [ { "backupConfig": { "snapshotScheduleIntervalMinutes": 360, "snapshotStoreType": "FS", "status": "STARTED" }, "clusterAuthMethod": "SCRAM-SHA-256", "deploymentId": "6720b1c2d3e4f5a6b7c8d9e0", "irgEnabledTime": 1792056600000, "nodes": [ { "cpu": 8, "hostId": "3a203aad42cb0c248a606433a2d1e162", "isEnterprise": true, "memoryBytes": 34359738368, "replicaType": "PRIMARY", "rsId": "rs0", "shardId": null, "storageBytes": 536870912000, "type": "MONGOD", "version": "8.0.12" }, { "cpu": 8, "hostId": "2026cb4d8ffc69d2836815a5db3f0b7e", "isEnterprise": true, "memoryBytes": 34359738368, "replicaType": "SECONDARY", "rsId": "rs0", "shardId": null, "storageBytes": 536870912000, "type": "MONGOD", "version": "8.0.12" } ], "orgId": "6710a2b3c4d5e6f7a8b9c0d1", "projectId": "6710a2b3c4d5e6f7a8b9c0d2", "tlsEnabled": true, "type": "RS" }, { "backupConfig": null, "clusterAuthMethod": "MONGODB-X509", "deploymentId": "6720b1c2d3e4f5a6b7c8d9e1", "irgEnabledTime": null, "nodes": [ { "cpu": 16, "hostId": "b913467c9fc3426778a02a9d66f08162", "isEnterprise": true, "memoryBytes": 68719476736, "replicaType": "PRIMARY", "rsId": "shard01", "shardId": "shard01", "storageBytes": 1073741824000, "type": "MONGOD", "version": "8.0.12" }, { "cpu": 4, "hostId": "9259f6ae730e17f5031166eeab0f80e9", "isEnterprise": true, "memoryBytes": 8589934592, "replicaType": null, "rsId": null, "shardId": null, "storageBytes": null, "type": "MONGOS", "version": "8.0.12" } ], "orgId": "6710a2b3c4d5e6f7a8b9c0d1", "projectId": "6710a2b3c4d5e6f7a8b9c0d3", "tlsEnabled": true, "type": "SC" } ], "infrastructure": "VM", "instances": [ { "cpu": 16, "memoryBytes": 68719476736, "os": "Linux 5.14.0-427.13.1.el9_4.x86_64 amd64" } ], "omAuthMethod": "LDAP", "orgs": 1, "projects": 2, "uuid": "3f6c2a9e-8b41-4d7e-9a52-1c0e7b4d2f68", "version": "9.0.2" }, "generationTimestamp": 1793664420000, "ingestionTimestamp": 1793664420000 }, "enabled": true, "last_successful_send": "2026-10-28T00:07:14Z", "next_job": "2026-11-04T00:07:14Z"}